C*********************************************************************
C*********************************************************************
C
      SUBROUTINE FLREAD
     I   (  TIME0,  IREAD,
     O      TIME,
     O      U, V, W, TPOT, QVAP, QCLW, QRAI, PPAI, CDTURB,
     D      NX, NZ, NXB, NZB, NROT           )
C
C*********************************************************************
      IMPLICIT REAL*8 ( A-H, O-Z )
C*********************************************************************
C
      DIMENSION
     \   U   ( -2:NXB, -2:NZB, NROT ),
     \   V   ( -2:NXB, -2:NZB, NROT ),
     \   W   ( -2:NXB, -2:NZB, NROT ),
     \   TPOT( -2:NXB, -2:NZB, NROT ),
     \   QVAP( -2:NXB, -2:NZB, NROT ),
     \   QCLW( -2:NXB, -2:NZB, NROT ),
     \   QRAI( -2:NXB, -2:NZB, NROT ),
     \   PPAI( -2:NXB, -2:NZB, NROT ),
     \ CDTURB( -2:NXB, -2:NZB, NROT )
C
C=====================================================================
C
      do ix = -2, nxb
         do iz = -2, nzb
            v(ix,iz,iread) = 0.0d0
         end do
      end do
C
    1 READ(31,ERR=10) TIME, ((U   (IX,IZ, IREAD), IX=-2,NXB),IZ=-2,NZB)
      IF (TIME.LT.TIME0) GO TO 1
c   2 READ(32,ERR=10) TIME, ((V   (IX,IZ, IREAD), IX=-2,NXB),IZ=-2,NZB)
c     IF (TIME.LT.TIME0) GO TO 2
    3 READ(33,ERR=10) TIME, ((W   (IX,IZ, IREAD), IX=-2,NXB),IZ=-2,NZB)
      IF (TIME.LT.TIME0) GO TO 3
    4 READ(34,ERR=10) TIME, ((TPOT(IX,IZ, IREAD), IX=-2,NXB),IZ=-2,NZB)
      IF (TIME.LT.TIME0) GO TO 4
    5 READ(35,ERR=10) TIME, ((QVAP(IX,IZ, IREAD), IX=-2,NXB),IZ=-2,NZB)
      IF (TIME.LT.TIME0) GO TO 5
    6 READ(36,ERR=10) TIME, ((QCLW(IX,IZ, IREAD), IX=-2,NXB),IZ=-2,NZB)
      IF (TIME.LT.TIME0) GO TO 6
    7 READ(37,ERR=10) TIME, ((QRAI(IX,IZ, IREAD), IX=-2,NXB),IZ=-2,NZB)
      IF (TIME.LT.TIME0) GO TO 7
    8 READ(38,ERR=10) TIME,((CDTURB(IX,IZ,IREAD), IX=-2,NXB),IZ=-2,NZB)
      IF (TIME.LT.TIME0) GO TO 8
    9 READ(39,ERR=10) TIME, ((PPAI(IX,IZ,IREAD), IX=-2,NXB),IZ=-2,NZB)
      IF (TIME.LT.TIME0) GO TO 9

      GO TO 11

 10   WRITE(6,*) ' DATA NOT FOUND: TIME0 TIME : ', TIME0, TIME
      STOP
C
C     CALL ACLEAR ( V, NXB, NZB, NROT, IREAD )
C
 11   CALL BOUND( U   , NX, NZ, NXB, NZB, NROT, 1, 1, IREAD )
      CALL BOUND( V   , NX, NZ, NXB, NZB, NROT, 1, 1, IREAD )
      CALL BOUND( W   , NX, NZ, NXB, NZB, NROT,-1, 0, IREAD )
      CALL BOUND( TPOT, NX, NZ, NXB, NZB, NROT, 1, 1, IREAD )
      CALL BOUND( QVAP, NX, NZ, NXB, NZB, NROT, 1, 1, IREAD )
      CALL BOUND( QCLW, NX, NZ, NXB, NZB, NROT, 1, 1, IREAD )
      CALL BOUND( QRAI, NX, NZ, NXB, NZB, NROT, 1, 1, IREAD )
      CALL BOUND( PPAI, NX, NZ, NXB, NZB, NROT, 1, 1, IREAD )
      CALL BOUND(CDTURB,NX, NZ, NXB, NZB, NROT, 1, 1, IREAD )
C
C=====================================================================
C
      RETURN
      E N D
